Foreman - Feature #32170

Add disks_total to reported data
03/23/2021 12:00 PM - Dominik Matoulek

Status: Closed
Priority: Normal
Assignee: Dominik Matoulek
Category: Inventory
Target version:
Difficulty: Fixed in Releases: 2.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/8401
Description
Related issues:
Related to Discovery - Refactor #28099: Use reported data facet instead disco... New
Related to Foreman - Feature #27995: Extend reported data facet for entitleme... Closed
Related to Chef - Feature #32173: Support disks_total core fact New
Related to Salt - Feature #32174: Support disks_total core fact New

Associated revisions

Revision 9d93ecea - 04/08/2021 09:17 AM - Dominik Matoulek
Fixes #32170 - Adding total_disk_size to host facets

This PR introduced new parameter to hosts facets. Parameter is a total
disk size that is included in Discovery plugin at own. However that
means that we have to maintain a two "facets like" codes at one time
(one at core, another one at discovery). This is attempt to unify

that and having only one code for that.

History

#1 - 03/23/2021 12:01 PM - Dominik Matoulek
- Related to Refactor #28099: Use reported data facet instead discovery attributes added

#2 - 03/23/2021 12:01 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8401 added

#3 - 03/23/2021 12:03 PM - Dominik Matoulek
- Related to Feature #27995: Extend reported data facet for entitlement report added

#4 - 03/23/2021 12:05 PM - Dominik Matoulek
- Related to Feature #32173: Support disks_total core fact added

#5 - 03/23/2021 12:06 PM - Dominik Matoulek
- Related to Feature #32174: Support disks_total core fact added

#6 - 04/08/2021 09:17 AM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#7 - 04/08/2021 10:01 AM - Dominik Matoulek
- Status changed from Ready For Testing to Closed
Applied in changeset foreman|9d93eceaf05d673513e3961df1f154f11c7bb179.

#8 - 05/05/2021 02:48 PM - Tomer Brisker

- Category set to Inventory
